NoSuchAttributeException (Java Platform SE 8 )
Keywords: javax.naming.directory.NoSuchAttributeException class
Date: 2026-04-17

compact3
javax.naming.directory

## Class NoSuchAttributeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.directory.NoSuchAttributeException

- All Implemented Interfaces:
    Serializable

      public class NoSuchAttributeException
      extends NamingException

  This exception is thrown when attempting to access an attribute that does not exist.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchAttributeException()` Constructs a new instance of NoSuchAttributeException.
    `NoSuchAttributeException(String explanation)` Constructs a new instance of NoSuchAttributeException using an explanation.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchAttributeException

          public NoSuchAttributeException(String explanation)

      Constructs a new instance of NoSuchAttributeException using an explanation. All other fields are set to null.
      Parameters:
        `explanation` - Additional detail about this exception. Can be null.
      See Also:
        `Throwable.getMessage()`

    - #### NoSuchAttributeException

          public NoSuchAttributeException()

      Constructs a new instance of NoSuchAttributeException. All fields are initialized to null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.